package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 商城订单表
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinAppOrderDetailsVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = " orderVo")
    private GoblinStoreOrderVo storeOrderVo;
    @ApiModelProperty(value = " orderSkuVo")
    List<GoblinOrderSkuVo> orderSkuVos;
    private static final GoblinAppOrderDetailsVo obj = new GoblinAppOrderDetailsVo();
    public static GoblinAppOrderDetailsVo getNew() {
        try {
            return (GoblinAppOrderDetailsVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinAppOrderDetailsVo();
        }
    }
}
